VPN Service
Secure VPN service to protect users' connections. Includes global server pool, automatic OpenVPN configuration, and connection monitoring.
Features
45+ Servers
30+ countries worldwide
Automatic OpenVPN
Automatic configuration
Connect to VPN
First-Time Connection
In order to establish a VPN connection for the first time, the user must explicitly accept the Device VPN permission prompt on their operating system (iOS or Android).
Permission Requiredbash
POST /vpn/connectRequest Example
json
{
"user_id": "usr_123456",
"server_id": 123,
"device_info": {
"device_id": "device_abc123",
"device_type": "mobile",
"platform": "iOS",
"app_version": "1.0.0"
}
}Response Example
json
{
"session_id": "sess_xyz789",
"slot_id": 1,
"vpn_credentials": {
"username": "vpn_user_abc",
"password": "generated_password"
},
"server_info": {
"id": 123,
"name": "US - New York #1",
"ip": "192.168.1.100",
"port": 1194,
"protocol": "udp",
"country": "United States",
"country_code": "US",
"city": "New York"
},
"openvpn_config": "client\ndev tun\nproto udp\nremote vpn.server.com 1194\n...",
"dns_servers": ["1.1.1.1", "8.8.8.8"],
"connected_at": "2025-01-14T18:00:00Z",
"expires_at": "2025-01-15T18:00:00Z"
}List Servers
bash
GET /vpn/serversExample Servers
US - New York #1
RecommendedπΊπΈ United States
45% capacity
Medium
ES - Madrid #1
πͺπΈ Spain
30% capacity
Low
GB - London #1
π¬π§ United Kingdom
65% capacity
Medium
DE - Frankfurt #1
Recommendedπ©πͺ Germany
20% capacity
Low
Check Network Security
Analyze if the current network requires VPN protection.
bash
POST /vpn/check-networklowSecure network, VPN optional
mediumPublic network with password
highPublic network with suspicious pattern
criticalOpen network without password
Rate Limiting
Rate limits for the VPN Service module are enforced per application. All endpoints share the same quota based on your plan. For detailed specifications, see the Security & Compliance page.
Sandbox: 60 req/min
Production: 1,000 req/min